# ShipperHQ Logger

Description
-----------

Provides advanced logging for Magento 2

Facts
-----
- Provides graded levels of logging: debug, info, warning and critical
- Provides granular logging per extension or module
- Will log to specified log files
- Creates log entries in a table viewable from the admin panel of Magento 2
- [extension on GitHub](https://github.com/shipperhq/module-logger)

Compatibility
-------------
- Magento >= 2.0 (Includes 2.2) 
- Supports both Magento Open Source (Community) and Magento Commerce (Enterprise) 

This library aims to support and is tested against the following PHP
implementations:

* PHP 5.5
* PHP 5.6
* PHP 5.7
* PHP 7.x (Please consult [Magento 2 requirements](http://devdocs.magento.com/magento-system-requirements.html) for any exceptions)

Enforced in the composer.json

Installation Instructions
-------------------------
Install using composer by adding to your composer file using commands:

1. composer require shipperhq/module-logger
2. composer update
3. bin/magento setup:upgrade

For up-to-date installation instructions, along with troubleshooting steps, please see the documentation, below.

Support
-------
For further information on using Logger, please refer to our [online documentation](http://docs.shipperhq.com/using-the-webshopapps-logger-in-magento-2).
If you have any issues with this extension, open an issue on [GitHub](https://github.com/shipperhq/module-logger/issues).

Contribution
------------
Any contribution is highly appreciated. The best way to contribute code is to open a [pull request on GitHub](https://help.github.com/articles/using-pull-requests).

License
-------
Copyright (c) 2015 Zowta LLC & Zowta Ltd. See [LICENSE][] for
details.

We also dutifully respect the [Magento][] OSL license, which is included in this codebase.


[license]: LICENSE.md
[magento]: Magento2_LICENSE.md

Copyright
---------
Copyright (c) 2016 Zowta LLC & Zowta Ltd.

